DOM::HTMLLinkElement Class Reference

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLLinkElement:

## Public Member Functions

| HTMLLinkElement (const HTMLLinkElement &other)
| HTMLLinkElement (const Node &other)
HTMLLinkElement & | operator= (const HTMLLinkElement &other)
HTMLLinkElement & | operator= (const Node &other)
bool | disabled () const
void | setDisabled (bool)
DOMString | charset () const
void | setCharset (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
DOMString | hreflang () const
void | setHreflang (const DOMString &)
DOMString | media () const
void | setMedia (const DOMString &)
DOMString | rel () const
void | setRel (const DOMString &)
DOMString | rev () const
void | setRev (const DOMString &)
DOMString | target () const
void | setTarget (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
StyleSheet | sheet () const
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLLinkElement (HTMLLinkElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa).

See the LINK element definition in HTML 4.0.

Definition at line 101 of file html_head.h.

## Member Function Documentation

DOMString HTMLLinkElement::charset | ( |  | ) | const

The character encoding of the resource being linked to.

See the charset attribute definition in HTML 4.0.

Definition at line 124 of file html_head.cpp.

bool HTMLLinkElement::disabled | ( |  | ) | const

Enables/disables the link.

This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

Definition at line 112 of file html_head.cpp.

DOMString HTMLLinkElement::href | ( |  | ) | const

The URI of the linked resource.

See the href attribute definition in HTML 4.0.

Definition at line 135 of file html_head.cpp.

DOMString HTMLLinkElement::hreflang | ( |  | ) | const

Language code of the linked resource.

See the hreflang attribute definition in HTML 4.0.

Definition at line 147 of file html_head.cpp.

DOMString HTMLLinkElement::media | ( |  | ) | const

Designed for use with one or more target media.

See the media attribute definition in HTML 4.0.

Definition at line 158 of file html_head.cpp.

DOMString HTMLLinkElement::rel | ( |  | ) | const

Forward link type.

See the rel attribute definition in HTML 4.0.

Definition at line 169 of file html_head.cpp.

DOMString HTMLLinkElement::rev | ( |  | ) | const

Reverse link type.

See the rev attribute definition in HTML 4.0.

Definition at line 180 of file html_head.cpp.

void HTMLLinkElement::setCharset | ( | const DOMString & | value | ) |

see charset

Definition at line 130 of file html_head.cpp.

void HTMLLinkElement::setDisabled | ( | bool | _disabled | ) |

see disabled

Definition at line 118 of file html_head.cpp.

void HTMLLinkElement::setHref | ( | const DOMString & | value | ) |

see href

Definition at line 142 of file html_head.cpp.

void HTMLLinkElement::setHreflang | ( | const DOMString & | value | ) |

see hreflang

Definition at line 153 of file html_head.cpp.

void HTMLLinkElement::setMedia | ( | const DOMString & | value | ) |

see media

Definition at line 164 of file html_head.cpp.

void HTMLLinkElement::setRel | ( | const DOMString & | value | ) |

see rel

Definition at line 175 of file html_head.cpp.

void HTMLLinkElement::setRev | ( | const DOMString & | value | ) |

see rev

Definition at line 186 of file html_head.cpp.

void HTMLLinkElement::setTarget | ( | const DOMString & | value | ) |

see target

Definition at line 197 of file html_head.cpp.

void HTMLLinkElement::setType | ( | const DOMString & | value | ) |

see type

Definition at line 208 of file html_head.cpp.

StyleSheet HTMLLinkElement::sheet | ( |  | ) | const

Introduced in DOM Level 2 This method is from the LinkStyle interface.

The style sheet.

Definition at line 213 of file html_head.cpp.

DOMString HTMLLinkElement::target | ( |  | ) | const

Frame to render the resource in.

See the target attribute definition in HTML 4.0.

Definition at line 191 of file html_head.cpp.

DOMString HTMLLinkElement::type | ( |  | ) | const

Advisory content type.

See the type attribute definition in HTML 4.0.

Definition at line 202 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys